import React from 'react';
import cx from 'classnames';
import { ButtonBase } from '../ButtonBase';
import { defaultProps, sizes } from '../.shared/common';
import type { ButtonProps } from '../.shared/types';

function ButtonSecondary({ children, className, ...rest }: ButtonProps) {
  const classes = cx('button-secondary', className);

  return (
    <ButtonBase className={classes} {...rest}>
      {children}
    </ButtonBase>
  );
}

ButtonSecondary.defaultProps = defaultProps;

ButtonSecondary.sizes = sizes;

export { ButtonSecondary };
